Data::Perl::Counter(3)

NAME
Data::Perl::Counter - Wrapping class for a simple numeric counter.

VERSION
version 0.002011

SYNOPSIS
  use Data::Perl qw/counter/;

  my $c = counter(4);

  $c->inc;   # $c == 5

  $c->reset; # $c == 0

DESCRIPTION
This class is a simple consumer of the Data::Perl::Role::Counter role, which provides all functionality. You probably want to look there instead.

AUTHOR
Matthew Phillips <mattp@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2020 by Matthew Phillips <mattp@cpan.org>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.